# Get a user by ID

Endpoint: GET /api/v1/users/{user_id}
Version: 0.0.1
Security: form_session, user_session, component_session, component_token, api_token

## Path parameters:

  - `user_id` (string, required)

## Response 200 fields (application/json):

  - `id` (string, required)
    User Identifier

  - `email` (string, required)

  - `external_id` (any, required)

  - `created_at` (string, required)
    a string to be decoded into a DateTime.Utc

## Response 400 fields (application/json):

  - `issues` (array, required)

  - `issues._tag` (string, required)
    The tag identifying the type of parse issue
    Enum: "Pointer", "Unexpected", "Missing", "Composite", "Refinement", "Transformation", "Type", "Forbidden"

  - `issues.path` (array, required)
    The path to the property where the issue occurred

  - `issues.path._tag` (string, required)
    Enum: "symbol"

  - `issues.path.key` (string, required)

  - `issues.message` (string, required)
    A descriptive message explaining the issue

  - `message` (string, required)

  - `_tag` (string, required)
    Enum: "HttpApiDecodeError"

## Response 401 fields (application/json):

  - `message` (string, required)

  - `_tag` (string, required)
    Enum: "Unauthorized"

## Response 403 fields (application/json):

  - `message` (string, required)

  - `_tag` (string, required)
    Enum: "Forbidden"

## Response 404 fields (application/json):

  - `message` (string, required)

  - `_tag` (string, required)
    Enum: "ResourceNotFoundError"

